IndexTarget.Type (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.statements

## Enum IndexTarget.Type

- java.lang.Object
- - java.lang.Enum<IndexTarget.Type>
  - - org.apache.cassandra.cql3.statements.IndexTarget.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IndexTarget.Type>
  Enclosing class:
    IndexTarget

      public static enum IndexTarget.Type
      extends java.lang.Enum<IndexTarget.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULL`
    `KEYS`
    `KEYS_AND_VALUES`
    `SIMPLE`
    `VALUES`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexTarget.Type` | `fromString(java.lang.String s)`
    `java.lang.String` | `toString()`
    `static IndexTarget.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IndexTarget.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VALUES

          public static final IndexTarget.Type VALUES

    - #### KEYS

          public static final IndexTarget.Type KEYS

    - #### KEYS_AND_VALUES

          public static final IndexTarget.Type KEYS_AND_VALUES

    - #### FULL

          public static final IndexTarget.Type FULL

    - #### SIMPLE

          public static final IndexTarget.Type SIMPLE

  - ### Method Detail

    - #### values

          public static IndexTarget.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexTarget.Type c : IndexTarget.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexTarget.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<IndexTarget.Type>`

    - #### fromString

          public static IndexTarget.Type fromString(java.lang.String s)

Copyright © 2018 The Apache Software Foundation